Update helm to 2.14.2, which helps pass lint on newer patchsets

Update shell scripts to pass newer shellcheck

Change-Id: I19f614368a51c338a01cc1f98f874cf2df4e8b06
diff --git a/developer/bootstrap-repo.sh b/developer/bootstrap-repo.sh
index bd41e59..0351da7 100755
--- a/developer/bootstrap-repo.sh
+++ b/developer/bootstrap-repo.sh
@@ -73,7 +73,7 @@
   repo sync
 
   # download gerrit patches using repo
-  if [[ ! -z "${GERRIT_PATCHES[*]-}" ]]
+  if [[ -n "${GERRIT_PATCHES[*]-}" ]]
   then
     for gerrit_patch in "${GERRIT_PATCHES[@]-}"
     do
diff --git a/developer/tag_and_push.sh b/developer/tag_and_push.sh
index 8366687..a2bdec5 100755
--- a/developer/tag_and_push.sh
+++ b/developer/tag_and_push.sh
@@ -108,12 +108,12 @@
 fi
 
 # Filter images
-if [[ ! -z "$filter" ]]
+if [[ -n "$filter" ]]
 then
   images=$(echo -e "${images}" | grep -E "${filter}")
 fi
 
-if [[ ! -z "$registry" ]]
+if [[ -n "$registry" ]]
 then
   images=$(echo "${images}" | grep -v "${registry}")
 fi
@@ -122,7 +122,7 @@
   new_image=""
 
   # Set registry
-  if [[ ! -z "$registry" ]]
+  if [[ -n "$registry" ]]
   then
     new_image+="${registry}/"
   else
diff --git a/developer/update_xos_docker.sh b/developer/update_xos_docker.sh
index 6fa2146..29d2a64 100755
--- a/developer/update_xos_docker.sh
+++ b/developer/update_xos_docker.sh
@@ -35,7 +35,7 @@
 XOS_VERSION=$(cat "${WORKSPACE}/cord/orchestration/xos/VERSION")
 
 # Update Synchronizer FROM parent versions
-for df in ${WORKSPACE}/cord/orchestration/xos_services/*/Dockerfile.synchronizer
+for df in "${WORKSPACE}"/cord/orchestration/xos_services/*/Dockerfile.synchronizer
 do
   df_contents=$(cat "$df")
 
@@ -74,8 +74,8 @@
 done
 
 # Update XOS parent versions
-for df in ${WORKSPACE}/cord/orchestration/xos/containers/*/Dockerfile* \
-          ${WORKSPACE}/cord/orchestration/xos-tosca/Dockerfile
+for df in "${WORKSPACE}"/cord/orchestration/xos/containers/*/Dockerfile* \
+          "${WORKSPACE}/cord/orchestration/xos-tosca/Dockerfile"
 do
   echo "Updating core Dockerfile: ${df}"
   perl -pi -e "s/^FROM xos(.*):.*$/FROM xos\\1:$XOS_VERSION/" "$df"
diff --git a/kubespray-installer/setup.sh b/kubespray-installer/setup.sh
index f0ce669..4f5be0a 100755
--- a/kubespray-installer/setup.sh
+++ b/kubespray-installer/setup.sh
@@ -101,7 +101,7 @@
       echo "Missing option: podname" >&2
       echo " "
       display_help
-      exit -1
+      exit 1
     fi
 }
 
@@ -166,7 +166,7 @@
         echo Error: Unknown option: "$CLI_OPT" >&2
         echo " "
         display_help
-        exit -1
+        exit 1
         ;;
   esac
 done
diff --git a/openstack-helm/openstack-helm-dev-setup.sh b/openstack-helm/openstack-helm-dev-setup.sh
index 7740689..cb383bf 100755
--- a/openstack-helm/openstack-helm-dev-setup.sh
+++ b/openstack-helm/openstack-helm-dev-setup.sh
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
 #
 # Copyright 2017-present Open Networking Foundation
 #
@@ -44,7 +44,7 @@
 then
   cd ~
   git clone https://git.openstack.org/openstack/openstack-helm-infra.git -b "${OPENSTACK_HELM_INFRA_BRANCH}"
-  if [ ! -z "${OPENSTACK_HELM_INFRA_COMMIT}" ]
+  if [ -n "${OPENSTACK_HELM_INFRA_COMMIT}" ]
   then
     cd openstack-helm-infra
     git reset --hard "${OPENSTACK_HELM_INFRA_COMMIT}"
@@ -55,7 +55,7 @@
 then
   cd ~
   git clone https://git.openstack.org/openstack/openstack-helm.git -b "${OPENSTACK_HELM_BRANCH}"
-  if [ ! -z "${OPENSTACK_HELM_COMMIT}" ]
+  if [ -n "${OPENSTACK_HELM_COMMIT}" ]
   then
     cd openstack-helm
     git reset --hard "${OPENSTACK_HELM_COMMIT}"
diff --git a/scripts/portcheck.sh b/scripts/portcheck.sh
index 591a2a8..2d57f4e 100755
--- a/scripts/portcheck.sh
+++ b/scripts/portcheck.sh
@@ -55,7 +55,7 @@
     then
         echo "Kill the running services mentioned above before proceeding to install SEBA"
         echo "Terminating make"
-        exit -1
+        exit 1
 fi
 
 #The ports that are required by SEBA components will be added to the reserved port list
diff --git a/seba-in-a-box/Makefile b/seba-in-a-box/Makefile
index f53d845..8965f3d 100644
--- a/seba-in-a-box/Makefile
+++ b/seba-in-a-box/Makefile
@@ -15,8 +15,8 @@
 
 K8S_VERSION     ?= "1.12.7"
 
-HELM_VERSION    ?= "2.12.1"
-HELM_SHA256SUM  ?= "891004bec55431b39515e2cedc4f4a06e93782aa03a4904f2bd742b168160451"
+HELM_VERSION    ?= "2.14.2"
+HELM_SHA256SUM  ?= "9f50e69cf5cfa7268b28686728ad0227507a169e52bf59c99ada872ddd9679f0"
 HELM_PLATFORM   ?= "linux-amd64"
 
 CORDCTL_VERSION    ?= 1.1.2